org.eclipse.oomph.setup.pde

## Interface APIBaselineTask

- All Superinterfaces:
    EObject, ModelElement, Notifier, SetupTask
  All Known Implementing Classes:
    APIBaselineTaskImpl

      public interface APIBaselineTask
      extends SetupTask

  A representation of the model object 'Api Baseline Task'.

  The following features are supported:

  - `Name`
  - `Version`
  - `Location`
  - `Remote URI`
  See Also:
    `PDEPackage.getAPIBaselineTask()`
  Generated
  Model
    annotation="http://www.eclipse.org/oomph/setup/ValidTriggers triggers='STARTUP MANUAL'"

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.oomph.setup.SetupTask

      `PRIORITY_CONFIGURATION, PRIORITY_DEFAULT, PRIORITY_EARLY, PRIORITY_INSTALLATION, PRIORITY_LATE, PRIORITY_REDIRECTION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLocation()` Returns the value of the 'Location' attribute.
    `String` | `getName()` Returns the value of the 'Name' attribute.
    `String` | `getRemoteURI()` Returns the value of the 'Remote URI' attribute.
    `String` | `getVersion()` Returns the value of the 'Version' attribute.
    `void` | `setLocation(String value)` Sets the value of the '`Location`' attribute.
    `void` | `setName(String value)` Sets the value of the '`Name`' attribute.
    `void` | `setRemoteURI(String value)` Sets the value of the '`Remote URI`' attribute.
    `void` | `setVersion(String value)` Sets the value of the '`Version`' attribute.

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTask

      `consolidate, dispose, getDescription, getExcludedTriggers, getID, getOverrideToken, getPredecessors, getPriority, getRestrictions, getScope, getScopeType, getSuccessors, getTriggers, getValidTriggers, isDisabled, isNeeded, overrideFor, perform, requires, setDescription, setDisabled, setExcludedTriggers, setID`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getName

          String getName()

      Returns the value of the 'Name' attribute.

      If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `PDEPackage.getAPIBaselineTask_Name()`
      Generated
      Model
        required="true"

    - #### setName

          void setName(String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`
      Generated

    - #### getVersion

          String getVersion()

      Returns the value of the 'Version' attribute.

      If the meaning of the 'Version' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Version' attribute.
      See Also:
        `setVersion(String)`, `PDEPackage.getAPIBaselineTask_Version()`
      Generated
      Model
        required="true"

    - #### setVersion

          void setVersion(String value)

      Sets the value of the '`Version`' attribute.
      Parameters:
        `value` - the new value of the 'Version' attribute.
      See Also:
        `getVersion()`
      Generated

    - #### getLocation

          String getLocation()

      Returns the value of the 'Location' attribute. The default value is `""`.

      If the meaning of the 'Location' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Location' attribute.
      See Also:
        `setLocation(String)`, `PDEPackage.getAPIBaselineTask_Location()`
      Generated
      Model
        default="" required="true" annotation="http://www.eclipse.org/oomph/setup/Variable type='STRING' label='API baseline location rule' description='The rule for the absolute folder location where the API baseline is located' explicitType='FOLDER' explicitLabel='$-$ API baseline location' explicitDescription='The absolute folder location where the $-$ API baseline is located'" annotation="http://www.eclipse.org/oomph/setup/RuleVariable name='api.baselines.root' type='FOLDER' label='Root API baselines folder' description='The root API baselines folder where all the API baselines are located' storageURI='scope://'"

    - #### setLocation

          void setLocation(String value)

      Sets the value of the '`Location`' attribute.
      Parameters:
        `value` - the new value of the 'Location' attribute.
      See Also:
        `getLocation()`
      Generated

    - #### getRemoteURI

          String getRemoteURI()

      Returns the value of the 'Remote URI' attribute.

      If the meaning of the 'Remote URI' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Remote URI' attribute.
      See Also:
        `setRemoteURI(String)`, `PDEPackage.getAPIBaselineTask_RemoteURI()`
      Generated
      Model
        required="true"

    - #### setRemoteURI

          void setRemoteURI(String value)

      Sets the value of the '`Remote URI`' attribute.
      Parameters:
        `value` - the new value of the 'Remote URI' attribute.
      See Also:
        `getRemoteURI()`
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html